<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

    <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1" />

    <xsl:template match="periode">
			<xsl:param name="leeg"/>
			<xsl:variable name="volgende"/>

    	<xsl:for-each select="pad">
    		
    		<xsl:for-each select="dag">

					<xsl:variable name="rooster">
					  <xsl:choose>
					    <xsl:when test="@daid &gt; 63">10</xsl:when>
					    <xsl:when test="@daid &gt; 56">9</xsl:when>
					    <xsl:when test="@daid &gt; 49">8</xsl:when>
					    <xsl:when test="@daid &gt; 42">7</xsl:when>
					    <xsl:when test="@daid &gt; 35">6</xsl:when>
					    <xsl:when test="@daid &gt; 28">5</xsl:when>
					    <xsl:when test="@daid &gt; 21">4</xsl:when>
					    <xsl:when test="@daid &gt; 14">3</xsl:when>
					    <xsl:when test="@daid &gt;  7">2</xsl:when>
					    <xsl:when test="@daid &gt;  0">1</xsl:when>
					    <xsl:otherwise>0</xsl:otherwise>
					  </xsl:choose>
					</xsl:variable>
					
					<xsl:variable name="vorige">
						<xsl:choose>
							<xsl:when test="@daid &gt; 1">
								<xsl:choose>
									<xsl:when test="position()=1">
										<xsl:value-of select="../preceding-sibling::*[1]/dag[last()]/paginaid"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="preceding-sibling::*[1]/paginaid"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$leeg"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<xsl:variable name="volgende">
						<xsl:choose>
							<xsl:when test="@daid &lt; 70">
								<xsl:choose>
									<xsl:when test="position()=last()">
										<xsl:value-of select="../following-sibling::*[1]/dag[1]/paginaid"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="following-sibling::*[1]/paginaid"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$leeg"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:variable>
					
					<xsl:text disable-output-escaping="yes">
					</xsl:text>
					<xsl:text disable-output-escaping="yes">
					&lt;!-- DAG </xsl:text><xsl:value-of select="@daid"/><xsl:text disable-output-escaping="yes"> --&gt;
					</xsl:text>
					<xsl:value-of select="@daid"/> - <xsl:value-of select="titel"/><div class="pad"><table width="100%"><tr><td align="left"><xsl:text disable-output-escaping="yes">&amp;#128343;&amp;nbsp;</xsl:text> <em>Periode <xsl:value-of select="../../@peid"/> / Dag <xsl:value-of select="@daid"/> - </em><xsl:text disable-output-escaping="yes">&amp;#127794;</xsl:text><em>Pad <xsl:value-of select="../@paid"/>. <xsl:value-of select="../@titel"/></em><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>-<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><xsl:text disable-output-escaping="yes">&amp;#128204;&amp;nbsp;</xsl:text><em><xsl:text disable-output-escaping="yes">&lt;a rel="periode</xsl:text><xsl:value-of select="../../@peid"/>-dag<xsl:value-of select="@daid"/><xsl:text disable-output-escaping="yes">" class="fancybox-iframe" href="https://www.debijbel.nl/bijbel/</xsl:text><xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@vertaling"/>/<xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@link"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text><xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@tekst"/><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></em></td><td align="right"><xsl:if test="$vorige != ''"><xsl:text disable-output-escaping="yes">&lt;a href="http://hooxies.nl/?page_id=</xsl:text><xsl:value-of select="$vorige"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;#9664;</xsl:text><xsl:if test="$vorige != ''"><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>|<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:if test="$volgende != ''"><xsl:text disable-output-escaping="yes">&lt;a href="http://hooxies.nl/?page_id=</xsl:text><xsl:value-of select="$volgende"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;#9654;</xsl:text><xsl:if test="$volgende != ''"><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></xsl:if></td></tr></table></div>

  				<p/>
					<xsl:text disable-output-escaping="yes">&amp;#128214;&amp;nbsp;</xsl:text> <em><strong>

			  	<xsl:for-each select="lezenlijst/lezen">
						<xsl:text disable-output-escaping="yes">&lt;a rel="periode</xsl:text><xsl:value-of select="../../../../@peid"/>-dag<xsl:value-of select="../../@daid"/><xsl:text disable-output-escaping="yes">" class="fancybox-iframe" href="https://www.debijbel.nl/bijbel/</xsl:text><xsl:value-of select="@vertaling"/>/<xsl:value-of select="@link"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text><xsl:value-of select="@tekst"/><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text><xsl:choose>    <xsl:when test="position() != last()">;<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></xsl:when></xsl:choose>
					</xsl:for-each>

  				</strong><xsl:if test="lezencommentaar != ''"><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>(<xsl:value-of select="lezencommentaar"/>)</xsl:if></em>
					<p/><p/>
					
					<xsl:value-of select="beschrijving" disable-output-escaping="yes"/>

					<xsl:if test="opdracht != ''">
						<br />
						<div class="naslag"><xsl:text disable-output-escaping="yes">&amp;#128296;&amp;nbsp;</xsl:text><xsl:value-of select="opdracht"/></div>
					</xsl:if>
					<xsl:if test="naslaglijst/naslag">
						<p/><p/>
						<div class="naslag">
					  	<xsl:for-each select="naslaglijst/naslag">
								<xsl:choose><xsl:when test="position() = 1"><xsl:text disable-output-escaping="yes">&amp;#128161;&amp;nbsp;</xsl:text></xsl:when></xsl:choose><xsl:text disable-output-escaping="yes">&lt;a rel="periode</xsl:text><xsl:value-of select="../../../../@peid"/>-dag<xsl:value-of select="../../@daid"/><xsl:text disable-output-escaping="yes">" class="fancybox-iframe" href="https://www.debijbel.nl/bijbel/</xsl:text><xsl:value-of select="@vertaling"/>/<xsl:value-of select="@link"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text><xsl:value-of select="@tekst"/><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text><xsl:choose><xsl:when test="position() != last()">;<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text></xsl:when></xsl:choose>
							</xsl:for-each>
						</div>
					</xsl:if>
					
					<br />
					
  				<div class="pad"><table width="100%"><tr><td align="left"><xsl:text disable-output-escaping="yes">&amp;#128343;&amp;nbsp;</xsl:text> <em>Periode <xsl:value-of select="../../@peid"/> / Dag <xsl:value-of select="@daid"/> - </em><xsl:text disable-output-escaping="yes">&amp;#127794;</xsl:text><em>Pad <xsl:value-of select="../@paid"/>. <xsl:value-of select="../@titel"/></em><xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text>-<xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;&amp;nbsp;</xsl:text><xsl:text disable-output-escaping="yes">&amp;#128204;&amp;nbsp;</xsl:text><em><xsl:text disable-output-escaping="yes">&lt;a rel="periode</xsl:text><xsl:value-of select="../../@peid"/>-dag<xsl:value-of select="@daid"/><xsl:text disable-output-escaping="yes">" class="fancybox-iframe" href="https://www.debijbel.nl/bijbel/</xsl:text><xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@vertaling"/>/<xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@link"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text><xsl:value-of select="../../lerenlijst/leren[position()=$rooster]/@tekst"/><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></em></td><td align="right"><xsl:if test="$vorige != ''"><xsl:text disable-output-escaping="yes">&lt;a href="http://hooxies.nl/?page_id=</xsl:text><xsl:value-of select="$vorige"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;#9664;</xsl:text><xsl:if test="$vorige != ''"><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>|<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:if test="$volgende != ''"><xsl:text disable-output-escaping="yes">&lt;a href="http://hooxies.nl/?page_id=</xsl:text><xsl:value-of select="$volgende"/><xsl:text disable-output-escaping="yes">"&gt;</xsl:text></xsl:if><xsl:text disable-output-escaping="yes">&amp;#9654;</xsl:text><xsl:if test="$volgende != ''"><xsl:text disable-output-escaping="yes">&lt;/a&gt;</xsl:text></xsl:if></td></tr></table></div>

					<p/>

					<xsl:text disable-output-escaping="yes">&lt;a rel="periode</xsl:text><xsl:value-of select="../../@peid"/>-dag<xsl:value-of select="@daid"/><xsl:text disable-output-escaping="yes">" class="fancybox-pdf" href="http://hooxies.nl/dtp/DTPN-</xsl:text><xsl:value-of select="../../@peid"/>e<xsl:value-of select="../../@editie"/>-<xsl:value-of select="printpaginanr"/><xsl:text disable-output-escaping="yes">.pdf" target="_blank"&gt;Print&lt;/a&gt;</xsl:text>

					<xsl:text disable-output-escaping="yes">
					&lt;!-- ----------------------------------------------------------------------------------------------------------- --&gt;</xsl:text>
				</xsl:for-each>
			</xsl:for-each>
    </xsl:template>
</xsl:stylesheet>

